ByteChef LogoByteChef
Frontend (Signing Key JWT)Instance Workflows

Get component input options

Resolve dynamic option values for a component-defined workflow input property.

POST
/integration-instances/{id}/component-input-options

Authorization

jwtBearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*integer

The id of an integration instance.

Formatint64

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/integration-instances/0/component-input-options" \  -H "Content-Type: application/json" \  -d '{    "componentName": "string",    "componentVersion": 0,    "groupName": "string",    "propertyName": "string"  }'
[  {    "label": "string",    "value": "string"  }]

How is this guide?